/*********************************
 help.c                1999/4/22
                        $B?9K\C#O:(B
  morimoto@sse.ecei.tohoku.ac.jp
**********************************/
#include "flexdownload.h"

void usage(void)
{
  fprintf(stderr,"Usage is %s [options] input_file\n",
		status.program_name);
  fprintf(stderr," Options:\n");
  fprintf(stderr,
  "    -v              Verbose (Default: Off)\n");
  fprintf(stderr,
  "    -b              Display progress bar (Default: Off)\n");
  fprintf(stderr,
  "    -p  <number>    Parallel port base address (Default: 0 (0x378))\n");
  fprintf(stderr,
  "    -d  <number>    Dummy port base (Default: 0 (0x80))\n");
  fprintf(stderr,
  "    -w  <value>     Wait loop counts of DCLK (Default: 0)\n");
  fprintf(stderr,
  "    -mf <number>    File read mode (Default: 0 (File to memory))\n");
  fprintf(stderr,
  "    -md <number>    Port access mode(Default: 0 (Direct access))\n");
  fprintf(stderr,
  "    -h              Usage of program\n");
  exit (8);
}


void help_message(void)
{
  fprintf(stderr,"(Help) Usage is %s [options] input_file\n",
		status.program_name);
  fprintf(stderr," Options:\n");
  fprintf(stderr,
  "    -v              Verbose (Default: Off)\n");
  fprintf(stderr,
  "                      Display information of download process.\n");
  fprintf(stderr,
  "    -b              Display progress bar (Default: Off)\n");
  fprintf(stderr,
  "                      Can you see download process.\n");
  fprintf(stderr,
  "    -p <number>     Parallel port base address (Default: 0 (0x378))\n");
  fprintf(stderr,
  "                      0: 0x378\n");
  fprintf(stderr,
  "                      1: 0x278\n");
  fprintf(stderr,
  "                      2: 0x3BC\n");
  fprintf(stderr,
  "    -d <number>     Dummy port address (Default: 0 (0x80))\n");
  fprintf(stderr,
  "                      0: 0x80\n");
  fprintf(stderr,
  "                      Nothing more yet.\n");
  fprintf(stderr,
  "    -w <value>      Wait loop counts of DCLK (Default: 0)\n");
  fprintf(stderr,
  "                      Waiting time rise AND down of DCLK.\n");
  fprintf(stderr,
  "                      Count 1 is about 1usec.\n");
  fprintf(stderr,
  "    -mf <number>    File read mode (Default: 0 (File to memory))\n");
  fprintf(stderr,
  "                      0: File -> Memory -> Parallel port\n");
  fprintf(stderr,
  "                      1: File -> Parallel port\n");
  fprintf(stderr,
  "    -md <number>    Port access mode(Default: 0 (Direct access))\n");
  fprintf(stderr,
  "                      0: Direct access I/O port\n");
  fprintf(stderr,
  "                      1: Use lp driver to access I/O port\n");
  fprintf(stderr,
  "                      **Caution** Number 1 is *not* imprimented yet.\n");
  fprintf(stderr,
  "    -h              Print this message\n");
  fprintf(stderr," Example :\n");
  fprintf(stderr,
  "    %s -v -b -p 2 -w 10 -mf 1 hogehoge.ttf\n",status.program_name);
  exit (8);
}







