/*********************************
 tools.c               1999/4/22
                        $B?9K\C#O:(B
  morimoto@sse.ecei.tohoku.ac.jp
**********************************/
#include "flexdownload.h"

void print_param()
{
  printf("Parameters:\n");
  printf("  Program name              : %s \n",status.program_name);
  if(status.verbose==1){
    printf("  Verbose mode              : ON \n");
  }else{
    printf("  Verbose mode              : OFF \n");
  }
  printf("  Input file name           : %s \n",status.input_file_name);
  printf("  Parallel port base address: 0x%X \n",status.base_address);
  printf("  Dummy port address        : 0x%X \n",status.dummy_address);
  printf("  Wait counts               : %d loops\n",status.wait_counts);
  if(status.progress_bar==1){
    printf("  Progress bar              : ON \n");
  }else{
    printf("  Progress bar              : OFF \n");
  }
  switch(status.mode[0]){
  case 0:
    printf("  File read mode            : Use memory (File -> Mem -> FPGA)\n");
    break;
  case 1:
    printf("  File read mode            : Not use memory (File -> FPGA)\n");
    break;
  default:
    break;
  }
  switch(status.mode[1]){
  case 0:
    printf("  I/O port access mode      : Direct access\n");
    break;
  case 1:
    printf("  I/O port access mode      : Use lp driver\n");
    break;
  default:
    break;
  }
}

